Bug 53121 - up2date -u from RC1 to RC2 fetches multiple arches of same package
Summary: up2date -u from RC1 to RC2 fetches multiple arches of same package
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-04 03:24 UTC by James Manning
Modified: 2015-01-07 23:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-06 20:06:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Manning 2001-09-04 03:24:54 UTC
Description of Problem:
multiple archs of same package (particularly, glibc and i386 and i686) are 
fetched, which seems wasteful

Version-Release number of selected component (if applicable):
up2date-2.6.0-7.x.31

How Reproducible:
100%

Steps to Reproduce:
1. stock RC1
2. up2date -u (in this case, text mode, no $DISPLAY)

Actual Results:
glibc-2.2.4-11.i386.rpm:
########################## Done.
########################## Done.
glibc-2.2.4-11.i686.rpm:
########################## Done.
########################## Done.


Expected Results:
just the i686 version :)

Additional Information:
I could see this as a wontfix, esp. given the need to patch in arch 
support at the last minute, but I wanted to get it in a report regardless

Comment 1 Adrian Likins 2001-09-04 17:20:13 UTC
This should be fixed in the next version of the client.
(more accurately checking of packages based on arches...)

New behaviouor is to upgrade to the the package whose
arch matches that of the version currently installed.

Comment 2 David M. Cook 2001-11-06 20:06:14 UTC
Verified for i686.


Note You need to log in before you can comment on or make changes to this bug.